import { NgModule } from '@angular/core';
import { Routes, RouterModule, ActivatedRouteSnapshot } from '@angular/router';
import { DashboardComponent } from './pages/dashboard/dashboard.component';
import { LandingComponent } from './pages/landing/landing.component';


export const routes: Routes = [
  {
    path: 'dashboard',
    component: DashboardComponent,
    data: {
      authRequired: true,
    }
  },
  {
    path: 'about',
    component: LandingComponent,
    pathMatch: 'full'
  },
  {
    path: '',
    component: LandingComponent,
    pathMatch: 'full'
  },
];

@NgModule({
  exports: [RouterModule]
})
export class DashboardRoutingModule { }
