import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ExerciseFormComponent } from './components/exercise-form/exercise-form.component';
import { ExerciseComponent } from './pages/exercise/exercise.component';
import { ExercisesComponent } from './pages/exercises/exercises.component';
import { SubmitSolutionComponent } from './pages/submit-solution/submit-solution.component';
import { SharedModule } from 'app/shared/shared.module';
import { ExercisesRoutingModule } from './exercises-routing.module';
import { TasksModule } from 'app/features/tasks/tasks.module';
import { SubmissionComponent } from './pages/submission/submission.component';
import { ExerciseAssessmentComponent } from './pages/exercise-assessment/exercise-assessment.component';
import { CoursesModule } from '../courses/courses.module';
import { DialogSubmissionDecisionComponent } from './dialogs/dialog-submission-decision/dialog-submission-decision.component';
import { ExerciseTasksListComponent } from './components/exercise-tasks-list/exercise-tasks-list.component';
import { ExerciseTaskSelectionComponent } from './components/exercise-task-selection/exercise-task-selection.component';
import { NewExerciseComponent } from './pages/new-exercise/new-exercise.component';
import { EditExerciseComponent } from './pages/edit-exercise/edit-exercise.component';
import { ExerciseListComponent } from './components/exercise-list/exercise-list.component';
import { EclipseImportComponent } from './components/eclipse-import/eclipse-import.component';
import { SubmissionListComponent } from './components/submission-list/submission-list.component';
import { SubmissionSelectionComponent } from './components/submission-selection/submission-selection.component';
import { PointsPipe } from './pipes/points.pipe';
import { TaskInstanceSummaryComponent } from './components/task-instance-summary/task-instance-summary.component';
import { UserAttemptsPipe } from './pipes/user-attempts.pipe';
import { SolutionsModule } from '../solutions/solutions.module';
import { TaskInstanceAssessmentComponent } from './pages/task-instance-assessment/task-instance-assessment.component';

@NgModule({
  declarations: [
    ExercisesComponent,
    ExerciseComponent,
    SubmitSolutionComponent,
    ExerciseFormComponent,
    DialogSubmissionDecisionComponent,

    PointsPipe,
    UserAttemptsPipe,

    SubmissionComponent,
    ExerciseAssessmentComponent,
    ExerciseTasksListComponent,
    ExerciseTaskSelectionComponent, 
    NewExerciseComponent, 
    EditExerciseComponent, 
    ExerciseListComponent, 
    EclipseImportComponent, 
    SubmissionListComponent,

    SubmissionSelectionComponent,
    TaskInstanceSummaryComponent,
    TaskInstanceAssessmentComponent,
  ],
  imports: [
    CommonModule,
    SharedModule,
    CoursesModule,
    TasksModule,
    SolutionsModule,
    ExercisesRoutingModule
  ],
  exports: [
  ]
})
export class ExercisesModule { }
