import { CourseUnit } from "app/features/courses/models/course-unit";
import { AssessmentProgress } from "./assessment-progress";
import { BinaryAssessmentProgress } from "./binary-assessment-progress";
import { NullAssessmentProgress } from "./null-assessment-progress";
import { PointsAssessmentProgress } from "./points-assessment-progress";

export class UnitAssessmentProgress {
    unit: CourseUnit;
    progress: AssessmentProgress;
    nextSubmissionId?: number;

    constructor(dto: any) {
        this.unit = dto.unit;
        this.nextSubmissionId = dto.nextSubmissionId;

        switch(dto.progress.type) {
            case 'binary': {
                this.progress = new BinaryAssessmentProgress(dto.progress);
                break;
            }
            case 'points': {
                this.progress = new PointsAssessmentProgress(dto.progress);
                break;
            }
            case 'null': {
                this.progress = new NullAssessmentProgress(dto.progress);
                break;
            }
        }
    }
}