import { Pipe, PipeTransform } from "@angular/core";
import { Submission } from "../models/submission";
import { TaskInstance } from "../models/task-instance";

@Pipe({
    name: 'userAttempts'
})
export class UserAttemptsPipe implements PipeTransform {
    transform(taskInstance: TaskInstance, submission: Submission): any {
        let maxAttempts = taskInstance.task.attempts ? taskInstance.task.attempts + '' : '∞'
        let instanceAttempts = submission?.attempts?.find(a => a.taskId == taskInstance.task.id && a.exerciseId == taskInstance.exercise.id)
        let attempts = instanceAttempts?.attempts ?? 0;

        return `${attempts} / ${maxAttempts} Versuche`;
    }
}