import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SolutionIdeComponent } from './solution-ide/solution-ide.component';
import { ViewerHostDirective } from './viewer/viewer-host.directive';
import { PdfViewerComponent } from './viewer/pdf-viewer/pdf-viewer.component';
import { SourceCodeViewerComponent } from './viewer/source-code-viewer/source-code-viewer.component';
import { FileBrowserComponent } from './file-browser/file-browser.component';
import { NothingViewerComponent } from './viewer/nothing-viewer/nothing-viewer.component';
import { SharedModule } from 'app/shared/shared.module';
import { AngularSplitModule } from 'angular-split';
import { DefaultViewerComponent } from './viewer/default-viewer/default-viewer.component';
import { IdeErrorComponent } from './ide-error/ide-error.component';

@NgModule({
  declarations: [
    SolutionIdeComponent,
    ViewerHostDirective,
    PdfViewerComponent,
    SourceCodeViewerComponent,
    FileBrowserComponent,
    NothingViewerComponent,
    DefaultViewerComponent,
    IdeErrorComponent,
  ],
  imports: [
    CommonModule,
    SharedModule,
    AngularSplitModule
  ],
  exports: [
    SolutionIdeComponent
  ]
})
export class SolutionIdeModule { }
