import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { SolutionHistoryComponent } from './components/solution-history/solution-history.component';
import { SolutionCommentsComponent } from './components/solution-comments/solution-comments.component';
import { SolutionFeedbackScreenComponent } from './components/solution-feedback-screen/solution-feedback-screen.component';
import { SubmitSolutionFormComponent } from './components/submit-solution-form/submit-solution-form.component';
import { SolutionsRoutingModule } from './solutions-routing.module';
import { SolutionComponent } from './pages/solution/solution.component';
import { EvalResultComponent } from './components/eval-result/eval-result.component';
import { AcceptanceTestComponent } from './components/acceptance-test/acceptance-test.component';
import { AngularSplitModule } from 'angular-split';
import { SolutionIdeModule } from './components/solution-ide/solution-ide.module';
import { RemainingAttemptsPipe } from './pipes/remaining-attempts.pipe';


@NgModule({
  declarations: [
    SolutionComponent,

    AcceptanceTestComponent,
    EvalResultComponent,
    SolutionHistoryComponent,
    SolutionCommentsComponent,
    SolutionFeedbackScreenComponent,
    SubmitSolutionFormComponent,

    RemainingAttemptsPipe
  ],
  imports: [
    CommonModule,
    SharedModule,
    SolutionsRoutingModule,
    AngularSplitModule,
    SolutionIdeModule
  ],
  exports: [
    SubmitSolutionFormComponent,
    SubmitSolutionFormComponent,
    SolutionHistoryComponent,
    SolutionCommentsComponent,
    AcceptanceTestComponent,
    EvalResultComponent,
    SolutionIdeModule
  ]
})
export class SolutionsModule { }
