import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TaskComponent } from './pages/task/task.component';
import { TaskPoolComponent } from './pages/task-pool/task-pool.component';
import { TaskUploadComponent } from './components/task-upload/task-upload.component';
import { TaskFilesComponent } from './components/task-files/task-files.component';
import { SharedModule } from 'app/shared/shared.module';
import { TasksRoutingModule } from './tasks-routing.module';
import { TaskPoolsComponent } from './pages/task-pools/task-pools.component';
import { TaskPoolFormComponent } from './components/task-pool-form/task-pool-form.component';
import { CoursesModule } from '../courses/courses.module';
import { TaskSummaryComponent } from './components/task-summary/task-summary.component';
import { FeedbackComponent } from './components/feedback/feedback.component';
import { TaskImportLogsComponent } from './components/task-import-logs/task-import-logs.component';
import { LanguagesComponent } from './pages/languages/languages.component';
import { NewLanguageComponent } from './pages/new-language/new-language.component';
import { EditLanguageComponent } from './pages/edit-language/edit-language.component';
import { LanguageFormComponent } from './components/language-form/language-form.component';
import { TaskFeedbackInfoComponent } from './components/task-feedback-info/task-feedback-info.component';
import { NewTaskPoolComponent } from './pages/new-task-pool/new-task-pool.component';
import { EditTaskPoolComponent } from './pages/edit-task-pool/edit-task-pool.component';
import { TaskPoolCoursesComponent } from './components/task-pool-courses/task-pool-courses.component';
import { TaskPoolTasksComponent } from './components/task-pool-tasks/task-pool-tasks.component';
import { TaskPoolListComponent } from './components/task-pool-list/task-pool-list.component';
import { AttemptsPipe } from './pipes/attempts.pipe';
import { SolutionsModule } from '../solutions/solutions.module';
import { LanguagesListComponent } from './components/languages-list/languages-list.component';

@NgModule({
  declarations: [
    TaskPoolsComponent,
    TaskPoolComponent,
    TaskComponent,
    FeedbackComponent,

    TaskFilesComponent,
    TaskPoolFormComponent,
    TaskSummaryComponent,
    TaskUploadComponent,
    TaskImportLogsComponent,
    LanguagesComponent,
    LanguageFormComponent,
    NewLanguageComponent,
    EditLanguageComponent,
    TaskFeedbackInfoComponent,
    NewTaskPoolComponent,
    EditTaskPoolComponent,
    TaskPoolCoursesComponent,
    TaskPoolTasksComponent,
    TaskPoolListComponent,

    AttemptsPipe,
    LanguagesListComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    CoursesModule,
    SolutionsModule,
    TasksRoutingModule
  ],
  exports: [
    TaskFilesComponent,
    TaskSummaryComponent
  ]
})
export class TasksModule { }
