import { Component, ContentChild, Input, OnInit, TemplateRef } from '@angular/core';
import { SubatoPrincipal } from 'app/core/models/principal/subato-principal';
import { AuthService } from 'app/core/services/auth.service';

export interface ErrorConfig {
  title?: string;
  message?: string;
}

@Component({
  selector: 'ngx-error-alert',
  templateUrl: './error-alert.component.html',
  styleUrls: ['./error-alert.component.scss']
})
export class ErrorAlertComponent implements OnInit {
  @Input() config: ErrorConfig;
  @Input() principal: SubatoPrincipal;
  @ContentChild('actions') actionsTemplate: TemplateRef<any>;
  
  constructor(private authService: AuthService) { }

  ngOnInit(): void {
  }

  login() {
    this.authService.login();
  }
}
