package de.hsrm.sls.subato.attendances.attendance;

import de.hsrm.sls.subato.attendances.attendance.model.Attendance;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Optional;

public interface AttendanceRepository extends JpaRepository<Attendance, Long> {
    Optional<Attendance> findByStudentIdAndEventId(long studentId, long eventId);

    @Query("select a from Attendance a where a.student.id = ?1 and a.event.unit.id = ?2")
    List<Attendance> findByStudentAndCourseUnit(long studentId, long unitId);
}