package de.hsrm.sls.subato.auth.policy.courses;

import de.hsrm.sls.subato.auth.policy.CheckPolicyRequest;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.courses.course.Course;
import de.hsrm.sls.subato.courses.membership.StaffGroup;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to delete a course
 */
@Component
public class CourseDeletePolicy implements PolicyRule {
    @Override
    public boolean check(CheckPolicyRequest request) {
        if(!request.matches(CoursesAction.COURSE_DELETE) || request.unauthenticated()) {
            return false;
        }

        var course = (Course) request.getObj();
        return request.getSubject().hasGroup(course, StaffGroup.ADMIN);
    }
}
