package de.hsrm.sls.subato.auth.policy.tasks;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.policy.CheckPolicyRequest;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.tasks.feedback.TaskFeedback;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to view a feedback entry for a task
 */
@Component
public class TaskFeedbackViewPolicy implements PolicyRule {
    @Override
    public boolean check(CheckPolicyRequest request) {
        if(!request.matches(TasksAction.TASK_FEEDBACK_VIEW) || request.unauthenticated()) {
            return false;
        }

        var feedback = (TaskFeedback) request.getObj();
        return feedback.getFrom().getId() == request.getSubject().getId() || request.getSubject().hasRole(Role.Staff);
    }
}
