package de.hsrm.sls.subato.exercises.submission;

import org.springframework.data.jpa.domain.Specification;

import static de.hsrm.sls.subato.exercises.submission.SubmissionSpecifications.*;

public class SubmissionFilter {
    Long submittedById;
    Long exerciseId;
    Long unitId;
    Long courseId;

    public SubmissionFilter submittedById(Long submittedById) {
        this.submittedById = submittedById;
        return this;
    }

    public SubmissionFilter exerciseId(Long exerciseId) {
        this.exerciseId = exerciseId;
        return this;
    }

    public SubmissionFilter unitId(Long unitId) {
        this.unitId = unitId;
        return this;
    }

    public SubmissionFilter courseId(Long courseId) {
        this.courseId = courseId;
        return this;
    }

    public Specification<Submission> toSpecification() {
        Specification<Submission> spec = Specification.where(null);
        if(submittedById != null) {
            spec = spec.and(submittedByEquals(submittedById));
        }

        if(exerciseId != null) {
            spec = spec.and(exerciseEquals(exerciseId));
        }

        if(unitId != null) {
            spec = spec.and(unitEquals(unitId));
        }

        if(courseId != null) {
            spec = spec.and(courseEquals(courseId));
        }

        return spec;
    }
}
