package de.hsrm.sls.subato.exercises.taskinstance;

import org.springframework.data.jpa.domain.Specification;

import static de.hsrm.sls.subato.exercises.taskinstance.TaskInstanceSpecifications.*;

public class TaskInstanceFilter {
    Long courseId;
    Long exerciseId;
    Long taskId;
    String query;

    public TaskInstanceFilter query(String query) {
        this.query = query;
        return this;
    }

    public TaskInstanceFilter courseId(Long courseId) {
        this.courseId = courseId;
        return this;
    }

    public TaskInstanceFilter exerciseId(Long exerciseId) {
        this.exerciseId = exerciseId;
        return this;
    }

    public TaskInstanceFilter taskId(Long taskId) {
        this.taskId = taskId;
        return this;
    }

    public Specification<TaskInstance> toSpecification() {
        Specification<TaskInstance> spec = Specification.where(null);
        if(courseId != null) {
            spec = spec.and(courseEquals(courseId));
        }

        if(exerciseId != null) {
            spec = spec.and(exerciseEquals(exerciseId));
        }

        if(taskId != null) {
            spec = spec.and(taskEquals(taskId));
        }

        if(query != null) {
            spec = spec.and(applyQuery(query));
        }

        return spec;
    }
}
