package de.hsrm.sls.subato.tasks.stef.spec;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import de.hsrm.sls.subato.tasks.task.SubmissionModeType;

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, include = JsonTypeInfo.As.PROPERTY, property = "type")
@JsonSubTypes({
        @JsonSubTypes.Type(value = FileSubmissionMode.class, name = SubmissionModeType.Constants.FILE),
        @JsonSubTypes.Type(value = TextSubmissionMode.class, name = SubmissionModeType.Constants.TEXT)
})
public abstract class SubmissionMode {
    private SubmissionModeType type;

    public SubmissionMode(SubmissionModeType type) {
        this.type = type;
    }

    public SubmissionMode() {}

    public SubmissionModeType getType() {
        return type;
    }

    public void setType(SubmissionModeType type) {
        this.type = type;
    }
}
